package com.example.aeropuertoback.controller;

import com.example.aeropuertoback.entity.Aeropuerto;
import com.example.aeropuertoback.service.aeropuerto.IAeropuertoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.List;

@RestController
@RequestMapping(value = "/aeropuertos")
@CrossOrigin(origins = "http://localhost:4200")
public class AeropuertoController {

    @Autowired
    private IAeropuertoService aeropuertoService;

    @GetMapping(value = "/listar")
    public List<Aeropuerto> listar(){
        return aeropuertoService.findAll();
    }

    @PostMapping(value = "/agregar")
    public Aeropuerto guardarPasajero(@RequestBody Aeropuerto aeropuerto){
        return aeropuertoService.save(aeropuerto);
    }

    @PutMapping(value = "/actualizar/{id}")
    public Aeropuerto actualizarPasajero(@PathVariable Integer id, @RequestBody Aeropuerto aeropuerto){
        Aeropuerto editarAeropuerto = aeropuertoService.findOne(id);
        aeropuerto.setId(editarAeropuerto.getId());
        return aeropuertoService.save(aeropuerto);
    }

    @GetMapping(value = "/byId/{id}")
    public Aeropuerto listarPorId(@PathVariable Integer id){
        return aeropuertoService.findOne(id);
    }

    @DeleteMapping(value="/eliminar/{id}")
    public void eliminarAeropuerto(@PathVariable Integer id){
        aeropuertoService.delete(id);
    }
}
