package com.example.aeropuertoback.controller;

import com.example.aeropuertoback.entity.Pasajero;
import com.example.aeropuertoback.service.pasajero.IPasajeroService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import java.util.List;

@CrossOrigin(origins = "http://localhost:4200")
@RestController
@RequestMapping(value = "/pasajeros")
public class PasajeroController {

    @Autowired
    private IPasajeroService pasajeroService;

    @GetMapping(value = "/listar")
    public List<Pasajero> listar(){
        return pasajeroService.findAll();
    }

    @PostMapping(value = "/agregar", consumes = MediaType.APPLICATION_JSON_VALUE)
    public Pasajero guardarPasajero(@RequestBody Pasajero pasajero){
        return pasajeroService.save(pasajero);
    }

    @PutMapping(value = "/actualizar/{id}")
    public Pasajero actualizarPasajero(@PathVariable Integer id, @RequestBody Pasajero pasajero){
        Pasajero editarPasajero = pasajeroService.findOne(id);
        pasajero.setId(editarPasajero.getId());
        pasajero.setPasajeroAuth(editarPasajero.getPasajeroAuth());
        return pasajeroService.save(pasajero);
    }

    @GetMapping(value = "/byId/{id}")
    public Pasajero listarPorId(@PathVariable Integer id){
        return pasajeroService.findOne(id);
    }

    @DeleteMapping(value="/eliminar/{id}")
    public void eliminarPasajero(@PathVariable Integer id){
        pasajeroService.delete(id);
    }
}

