package com.example.aeropuertoback.entity;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
@Table(name="airports")
public class Aeropuerto {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name="airport_code")
    private String codigo;

    @Column(name="airport_name")
    private String nombre;

    @Column(name="airport_location")
    private String localizacion;

    @Column(name="other_details")
    private String detalles;

    @OneToMany(mappedBy = "codigoAeropuertoOrigen", cascade = CascadeType.ALL)
    private List<Vuelo> vuelos;

    @OneToMany(mappedBy = "codigoAeropuertoDestino", cascade = CascadeType.ALL)
    private List<Vuelo> vuelosDes;

    @OneToMany(mappedBy = "codigoAeropuertoOrigen", cascade = CascadeType.ALL)
    private List<Escala> escalas;

    @OneToMany(mappedBy = "codigoAeropuertoDestino", cascade = CascadeType.ALL)
    private List<Escala> escalasDes;

    public Aeropuerto() {
        vuelos = new ArrayList<Vuelo>();
        vuelosDes = new ArrayList<Vuelo>();

        escalas = new ArrayList<Escala>();
        escalasDes = new ArrayList<Escala>();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getLocalizacion() {
        return localizacion;
    }

    public void setLocalizacion(String localizacion) {
        this.localizacion = localizacion;
    }

    public String getDetalles() {
        return detalles;
    }

    public void setDetalles(String detalles) {
        this.detalles = detalles;
    }

    public List<Vuelo> getVuelos() {
        return vuelos;
    }

    public void setVuelos(List<Vuelo> vuelos) {
        this.vuelos = vuelos;
    }

    public List<Vuelo> getVuelosDes() {
        return vuelosDes;
    }

    public void setVuelosDes(List<Vuelo> vuelosDes) {
        this.vuelosDes = vuelosDes;
    }

    public List<Escala> getEscalas() {
        return escalas;
    }

    public void setEscalas(List<Escala> escalas) {
        this.escalas = escalas;
    }

    public List<Escala> getEscalasDes() {
        return escalasDes;
    }

    public void setEscalasDes(List<Escala> escalasDes) {
        this.escalasDes = escalasDes;
    }

}
