package com.example.aeropuertoback.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
@Table(name="booking_agents")
public class AgenteReserva {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name="agent_name")
    private String nombre;
    @Column(name="agent_details")
    private String detalles;

    @OneToMany(mappedBy = "agente",fetch = FetchType.LAZY, cascade=CascadeType.ALL) //Tenemos un pasajero para muchas reservas
    private List<ItinerarioReserva> itinerarioReservas;

    @ManyToOne(fetch = FetchType.LAZY, optional = false) //Tenemos muchos itinerarios un cliente //Many clase donde estamos
    @JoinColumn(name = "agente_auth_id")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private AgentesAuth agenteAuth;

    public AgenteReserva(){
        itinerarioReservas = new ArrayList<ItinerarioReserva>();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getDetalles() {
        return detalles;
    }

    public void setDetalles(String detalles) {
        this.detalles = detalles;
    }

    public List<ItinerarioReserva> getItinerarioReservas() {
        return itinerarioReservas;
    }

    public void setItinerarioReserva(List<ItinerarioReserva> itinerarioReserva) {
        this.itinerarioReservas = itinerarioReserva;
    }

    public void addReserva(ItinerarioReserva itinerarioReserva){
        this.itinerarioReservas.add(itinerarioReserva);
    }

    public Integer getUserId(){
        return agenteAuth.getId();
    }

    public void setItinerarioReservas(List<ItinerarioReserva> itinerarioReservas) {
        this.itinerarioReservas = itinerarioReservas;
    }

    public AgentesAuth getAgenteAuth() {
        return agenteAuth;
    }

    public void setAgenteAuth(AgentesAuth agenteAuth) {
        this.agenteAuth = agenteAuth;
    }
}
