package com.example.aeropuertoback.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import javax.persistence.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Entity
@Table(name="payments")
public class Pago {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "payment_id")
    private Integer id;

    @Column(name="payment_date")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecha;

    @Column(name="payment_amount")
    private double pago;

    @Column(name="payment_status_code")
    private String estado;

    @ManyToMany(fetch = FetchType.LAZY,
        cascade = {
                CascadeType.PERSIST,
                CascadeType.MERGE,
                CascadeType.ALL
        },
        mappedBy = "pagos")
    @JsonIgnore
    private List<ItinerarioReserva> itinerarioReserva;

    @PrePersist
    public void prePersist(){
        fecha = new java.util.Date();
    }

    public Pago(){
        itinerarioReserva = new ArrayList<ItinerarioReserva>();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public double getPago() {
        return pago;
    }

    public void setPago(double pago) {
        this.pago = pago;
    }

    public List<ItinerarioReserva> getItinerarioReserva() {
        return itinerarioReserva;
    }

    public void setItinerarioReserva(List<ItinerarioReserva> itinerarioReserva) {
        this.itinerarioReserva = itinerarioReserva;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }
}
