package com.example.aeropuertoback.service.escala;

import com.example.aeropuertoback.dao.IEscalaDAO;
import com.example.aeropuertoback.dao.IVueloDAO;
import com.example.aeropuertoback.entity.Escala;
import com.example.aeropuertoback.entity.Vuelo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class EscalaServiceImpl implements IEscalaService{

    @Autowired
    private IEscalaDAO escalaDAO;

    @Override
    @Transactional(readOnly=true)
    public List<Escala> findAll() {
        return (List<Escala>)escalaDAO.findAll();
    }

    @Transactional(readOnly=true)
    @Override
    public Escala findOne(Integer id) {
        return escalaDAO.findById(id).orElse(null);
    }

    @Override
    public Escala save(Escala escala) {
        return escalaDAO.save(escala);
    }

    @Override
    public void delete(Integer id) {
        escalaDAO.deleteById(id);
    }
}
