package com.example.aeropuertoback.service.pasajero;

import com.example.aeropuertoback.dao.IPasajeroDAO;
import com.example.aeropuertoback.entity.Pasajero;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service //Patron de dise;o facade
public class PasajeroServiceImpl implements IPasajeroService{

    @Autowired
    private IPasajeroDAO pasajeroDAO;

    @Override
    @Transactional(readOnly=true) //Marcamos como transaccional y de solo lectura
    //Si fuera un insert(un persist) obmitimos el transactional
    //Transactional es una notacion que toma el contenido del metodo lo envuelve dentro de una transaccion
    public List<Pasajero> findAll() {
        return (List<Pasajero>)pasajeroDAO.findAll();
    }

    @Transactional(readOnly=true)
    @Override
    public Pasajero findOne(Integer id) {
        return pasajeroDAO.findById(id).orElse(null);
    }

    @Override
    public Pasajero save(Pasajero pasajero) {
        return pasajeroDAO.save(pasajero);
    }

    @Override
    public void delete(Integer id) {
        pasajeroDAO.deleteById(id);
    }
}
