package com.example.aeropuertoback.service.vuelo;

import com.example.aeropuertoback.dao.IVueloDAO;
import com.example.aeropuertoback.entity.Vuelo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class VueloServiceImpl implements IVueloService{

    @Autowired
    private IVueloDAO vueloDAO;

    @Override
    @Transactional(readOnly=true)
    public List<Vuelo> findAll() {
        return (List<Vuelo>)vueloDAO.findAll();
    }

    @Transactional(readOnly=true)
    @Override
    public Vuelo findOne(Integer id) {
        return vueloDAO.findById(id).orElse(null);
    }

    @Override
    public Vuelo save(Vuelo vuelo) {
        return vueloDAO.save(vuelo);
    }

    @Override
    public void delete(Integer id) {
        vueloDAO.deleteById(id);
    }
}
